aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-05 21:31:05 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-05 21:31:05 +0000
commit60b96a44769a7c85932230627510cad95d3697ec (patch)
treea103b89b9e4cd61bb86e51c7aa57bcd25c003ed5
parentc67607f849f2170c2a2bbfae9acc3f400a938434 (diff)
downloadslackbuilds-60b96a44769a7c85932230627510cad95d3697ec.tar.gz
slackbuilds-60b96a44769a7c85932230627510cad95d3697ec.tar.bz2
added pecl-sqlite
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1224 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xdev/php4/pecl-sqlite/pecl-sqlite.SlackBuild42
-rwxr-xr-xdev/php4/pecl-sqlite/pecl-sqlite.build117
2 files changed, 159 insertions, 0 deletions
diff --git a/dev/php4/pecl-sqlite/pecl-sqlite.SlackBuild b/dev/php4/pecl-sqlite/pecl-sqlite.SlackBuild
new file mode 100755
index 00000000..a2b63ecd
--- /dev/null
+++ b/dev/php4/pecl-sqlite/pecl-sqlite.SlackBuild
@@ -0,0 +1,42 @@
+#!/bin/bash
+#
+# pecl-sqlite.SlackBuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# pecl-sqlite.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# SlackBuild script to call pecl-sqlite.build with correct settings
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="pecl-sqlite"
+VERSION=${VERSION:=1.0.3}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE $REPOS
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/dev/php4/pecl-sqlite/pecl-sqlite.build b/dev/php4/pecl-sqlite/pecl-sqlite.build
new file mode 100755
index 00000000..dd49c8f5
--- /dev/null
+++ b/dev/php4/pecl-sqlite/pecl-sqlite.build
@@ -0,0 +1,117 @@
+#!/bin/bash
+#
+# pecl-sqlite.build is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# pecl-sqlite.build is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# build script for pecl-sqlite
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# slacktrack -jefkzp "pecl-sqlite-1.0.3-x86_64-1rha.tgz" "./pecl-sqlite.build"
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="pecl-sqlite"
+VERSION=${VERSION:=1.0.3}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="SQLite-$VERSION.$PACKAGE_EXT"
+URL="http://pecl.php.net/get/$SRC"
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd SQLite-$VERSION
+
+phpize
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+mkdir /install
+
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+pecl-sqlite: pecl-sqlite
+pecl-sqlite:
+pecl-sqlite: SQLite is a C library that implements an embeddable SQL database
+pecl-sqlite: engine. Programs that link with the SQLite library can have SQL
+pecl-sqlite: database access without running a separate RDBMS process.
+pecl-sqlite:
+pecl-sqlite: This pecl-sqlite: extension allows you to access SQLite databases
+pecl-sqlite: from within PHP.
+pecl-sqlite:
+pecl-sqlite:
+EOF
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+for file in CREDITS README TODO; do
+ cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+cp -R $CWD/docs/* /usr/doc/$PACKAGE-$VERSION/
+